Bug 836369 - Custom properties files cannot be managed by add_user script
Custom properties files cannot be managed by add_user script
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.0.1
Unspecified Unspecified
unspecified Severity medium
: ---
: EAP 6.0.1
Assigned To: Misty Stanley-Jones
ecs-bugs
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-28 16:35 EDT by Travis Rogers
Modified: 2014-06-18 03:04 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Instance Name: Not Defined Build: CSProcessor Builder Version 1.5 Build Filter: null Build Name: Build Date: 20-06-2012 22:01:18
Last Closed: 2013-03-20 21:57:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Travis Rogers 2012-06-28 16:35:33 EDT
JBoss EAP 6 documentation for security realms [1] should clarify that user created properties files are not managed by the add_user script or remove references that mention a user created properties file.

List item 3 references a user supplied myfile.properties.

3. Create the references to the properties file which will store information about the new role.
Run the following command to create a pointer a file named myfile.properties, which will contain the properties pertaining to the new role.

/host=master/core-service=management/security-realm=MyDomainRealm/authentication=properties:add(path=myfile.properties)


The Result section also mentions this file.

Result
Your new security realm is created. When you add users and roles to this new realm, the information will be stored in a separate file from the default security realms.



[1] http://docs.redhat.com/docs/en-US/JBoss_Enterprise_Application_Platform/6/html/Development_Guide/Add_a_New_Security_Realm.html
Comment 1 Misty Stanley-Jones 2012-07-02 22:05:25 EDT
Added the following note in the relevant step:

The newly-created properties file is not managed by the included <filename>add-user.sh</filename> and <filename>add-user.bat</filename> scripts. It must be managed externally.

Also added the following sentence at the end of the Result:


You can manage this new file using your own applications or procedures.

Note You need to log in before you can comment on or make changes to this bug.